Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101425 - [Python/Java SDK]Network labels get_labels().get() accept different parameters for Python and Java SDK
Summary: [Python/Java SDK]Network labels get_labels().get() accept different parameter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk-java
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.4.1
Assignee: Juan Hernández
QA Contact: GenadiC
URL:
Whiteboard: infra
Depends On: 1099818
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-27 07:29 UTC by rhev-integ
Modified: 2016-02-10 19:32 UTC (History)
12 users (show)

Fixed In Version: rhevm-sdk-java-3.4.1.2-1.el6ev
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: rhevm-sdk-java-3.4.1.2-1.el6ev Highlights, important fixes, or notable enhancements: Currently the method that allows retrieving an entity by ID assumes that the identifier is a UUID, but this isn't true for some entities. This patch adds an additional method that allows retrieving entities by ID using a string as the parameter.
Clone Of: 1099818
Environment:
Last Closed: 2014-07-29 14:19:26 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0976 normal SHIPPED_LIVE rhevm-sdk-java bug fix and enhancement update 2014-07-29 18:17:48 UTC
oVirt gerrit 27982 None None None Never
oVirt gerrit 27983 master MERGED sdk: Add method to get entity by string id Never

Comment 1 Juan Hernández 2014-06-03 10:51:21 UTC
This bug will be fixed rebasing the SDK from the upstream 3.4.1.2 version, but as it is targeted for 3.4.z and we don't have downstream branches for z stream, the fix can't be done before we release 3.4.0.

Comment 3 Juan Hernández 2014-06-24 17:20:28 UTC
Changed back to MODIFIED as the package containing the fix hasn't been delivered to QE yet.

Comment 4 Juan Hernández 2014-06-26 09:07:48 UTC
The build has been released to QE.

Comment 5 GenadiC 2014-07-08 12:28:51 UTC
Verified in rhevm-sdk-java-3.4.1.2-1.el6ev

Comment 7 errata-xmlrpc 2014-07-29 14:19:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0976.html


Note You need to log in before you can comment on or make changes to this bug.